"use strict";
this.name			= "ACSA Script";
this.author			= "ocz";
this.copyright		= "2015 ocz";
this.licence		= "CC BY-NC-SA 4.0";

if (!OXPACSWCrossScriptList) var OXPACSWCrossScriptList = [];
OXPACSWCrossScriptList.push(this.name);

this._runOXPACSWStartUp = function () {
	if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].startUp) {
		worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].startUp(); 
		if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].startUp)
			delete worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].startUp;
	}
}

this._addCargoSpace = function (inputValue) {
	if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace) 
			worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace(inputValue);
}

this._decreaseAddedCargoSpace = function (inputValue) {
	if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWDecreaseAddedCargoSpace) 
			worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWDecreaseAddedCargoSpace(inputValue);
}

this.OXPACSWaddPhase = function () {
	delete this.OXPACSWaddPhase;
	
	log("addPhase ACSA");
	
	if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_1") === "EQUIPMENT_OK") this._addCargoSpace(1);
	else if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_2") === "EQUIPMENT_OK") this._addCargoSpace(2);
	else if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_3") === "EQUIPMENT_OK") this._addCargoSpace(3);
}

this.startUp = function () {
	for (var inc = 0; inc < OXPACSWCrossScriptList.length; inc++) log("ACSA:" + OXPACSWCrossScriptList[inc]);
	
	//delete this.startUp; 
	log("ACSA1");
	
	this._runOXPACSWStartUp();
	//worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].startUp();
	
	log("ACSA2");
	
	/*if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_1") === "EQUIPMENT_OK") {
		if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace)
			worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace(1)
		}
	else if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_2") === "EQUIPMENT_OK") {
		if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace) 
			worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace(2)
		}
	else if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_3") === "EQUIPMENT_OK") {
		if (worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace) 
			worldScripts["OXPAdditionalCargoSpaceWorkaround Script"].OXPACSWAddCargoSpace(3)
		};*/
	
	
	log("ACSA3");
	/*this._addCargoSpace(10);
	this._decreaseAddedCargoSpace(20);
	this._addCargoSpace(3);*/
}

/*this.startUpComplete = function () {
	OXPACSWManifestRestoreNeeded = false;
	OXPACSWCargoSpace = 0;
	OXPACSWManifest = "";
}

/*this.playerWillSaveGame = function () {
	this.OXPACSWSaveManifest
}*/

this.playerBoughtEquipment = function(equipment) {
	
	if (equipment == "EQ_CARGOSPACEADJUST_1") {
		player.ship.cargoSpaceCapacity += 1;
		return;
	}
	if (equipment == "EQ_CARGOSPACEADJUST_2") {
		player.ship.removeEquipment("EQ_CARGOSPACEADJUST_1");
		player.ship.cargoSpaceCapacity += 1;
		return;
	}
	if (equipment == "EQ_CARGOSPACEADJUST_3") {
		player.ship.removeEquipment("EQ_CARGOSPACEADJUST_2");
		player.ship.cargoSpaceCapacity += 1;
	}
	
}


